MediaWiki:Tables.css: Difference between revisions

Kuhlau (talk | contribs)
No edit summary
Kuhlau (talk | contribs)
No edit summary
(3 intermediate revisions by the same user not shown)
Line 21: Line 21:
:is(.skin-vector-legacy, .skin-minerva) .mw-parser-output :is(.article-table, .wikitable, .fandom-table) tr :is(td, th).align-right {
:is(.skin-vector-legacy, .skin-minerva) .mw-parser-output :is(.article-table, .wikitable, .fandom-table) tr :is(td, th).align-right {
text-align: right;
text-align: right;
}
.article-table tr {
border-bottom: 1px solid var(--theme-border-color);
}
}


Line 113: Line 117:
.fandom-table th hr,
.fandom-table th hr,
.wikitable.filehistory th hr {
.wikitable.filehistory th hr {
border: 1px solid var(--theme-border-color);
}
.wikitable tr th:last-child,
.fandom-table:not(.article-table) tr th:last-child,
.wikitable.filehistory tr th:last-child {
border: 1px solid var(--theme-border-color);
border: 1px solid var(--theme-border-color);
}
}
Line 127: Line 125:
.wikitable.filehistory td {
.wikitable.filehistory td {
padding: 5px 10px;
padding: 5px 10px;
border: 1px solid var(--theme-border-color);
}
.wikitable td:last-child,
.fandom-table:not(.article-table) td:last-child,
.wikitable.filehistory td:last-child {
border: 1px solid var(--theme-border-color);
border: 1px solid var(--theme-border-color);
}
}
Line 726: Line 718:
:root .mediawiki .jquery-tablesorter {
:root .mediawiki .jquery-tablesorter {
.headerSort {
.headerSort {
padding-right: 12px;
padding-right: 20px;
&:before, &:after {
&:before, &:after {
margin-right: 2px;
margin-right: 2px;